#if ! defined( ALM_CLASS_HEADER )
#define ALM_CLASS_HEADER

/*
** Author: Samuel R. Blackburn
** CI$: 76300,326
** Internet: sammy@sed.csc.com
**
** You can use it any way you like.
*/

class ALM : public RESPONSE
{
   DECLARE_DYNAMIC( ALM )

   public:

      ALM();
     ~ALM();

      /*
      ** Data
      */

      WORD  NumberOfMessages;
      WORD  MessageNumber;
      WORD  PRNNumber;
      WORD  WeekNumber;
      WORD  SVHealth;
      WORD  Eccentricity;
      WORD  AlmanacReferenceTime;
      WORD  InclinationAngle;
      WORD  RateOfRightAscension;
      DWORD RootOfSemiMajorAxis;
      DWORD ArgumentOfPerigee;
      DWORD LongitudeOfAscensionNode;
      DWORD MeanAnomaly;
      WORD  F0ClockParameter;
      WORD  F1ClockParameter;

      /*
      ** Methods
      */

      virtual void Empty( void );
      virtual BOOL Parse( const SENTENCE& sentence );
      virtual BOOL Write( SENTENCE& sentence );

      /*
      ** Operators
      */

      const ALM& operator = ( const ALM& source );
};

#endif // ALM_CLASS_HEADER
