#if ! defined( AAM_CLASS_HEADER )
#define AAM_CLASS_HEADER

/*
** Author: Samuel R. Blackburn
** CI$: 76300,326
** Internet: sammy@sed.csc.com
**
** You can use it any way you like.
*/

class AAM : public RESPONSE
{
   DECLARE_DYNAMIC( AAM )

   public:

      AAM();
     ~AAM();

      /*
      ** Data
      */

      NMEA0183_BOOLEAN IsArrivalCircleEntered;
      NMEA0183_BOOLEAN IsPerpendicular;
      double           CircleRadius;
      CString          WaypointID;

      /*
      ** Methods
      */

      virtual void Empty( void );
      virtual BOOL Parse( const SENTENCE& sentence );
      virtual BOOL Write( SENTENCE& sentence );

      /*
      ** Operators
      */

      virtual const AAM& operator = ( const AAM& source );
};

#endif // AAM_CLASS_HEADER
